(: Copyright(c) 2007-2008. Progress Software Corporation. All Rights Reserved. :)
declare variable $xsdFolder as xs:string external;
declare variable $xqueryPath as xs:string external;
declare variable $globalElement as xs:QName external;

declare function local:BuildSchemaPath($fullpath as xs:string) as xs:string
{
	let $items := fn:tokenize($fullpath, '/') 
	return $items[position() = last()]
};


for $doc in fn:collection(concat($xsdFolder, '?select=*.xsd'))
where $doc/xs:schema[not(@targetNamespace) and not(namespace-uri-from-QName($globalElement))
or @targetNamespace = namespace-uri-from-QName($globalElement)]
and $doc/xs:schema/xs:element[@name = local-name-from-QName($globalElement)]
return 
<import queryFile="{$xqueryPath}"
		url="{fn:document-uri($doc)}"
		location="{local:BuildSchemaPath(fn:document-uri($doc))}"
		namespace="{namespace-uri-from-QName($globalElement)}"
		local-name="{local-name-from-QName($globalElement)}"
		prefix="{prefix-from-QName($globalElement)}"
		xqueryPath="{$xqueryPath}"/>
(: Stylus Studio meta-information - (c) 2004-2007. Progress Software Corporation. All rights reserved.

<metaInformation>
	<scenarios>
		<scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" useresolver="yes" url="" outputurl="" processortype="datadirect" tcpport="-842150451" profilemode="0" profiledepth="" profilelength="" urlprofilexml=""
		          commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext="" host="" port="0" user="" password="" validateoutput="no"
		          validator="internal" customvalidator=""/>
	</scenarios>
	<MapperMetaTag>
		<MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
		<MapperBlockPosition></MapperBlockPosition>
		<TemplateContext></TemplateContext>
		<MapperFilter side="source"></MapperFilter>
	</MapperMetaTag>
</metaInformation>
:)